---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "coderd_organization_sync_settings Resource - terraform-provider-coderd"
subcategory: ""
description: |-
  IdP sync settings for organizations.
  This resource can only be created once. Attempts to create multiple will fail.
  ~> Warning
  This resource is only compatible with Coder version 2.19.0 https://github.com/coder/coder/releases/tag/v2.19.0 and later.
---

# coderd_organization_sync_settings (Resource)

IdP sync settings for organizations.

This resource can only be created once. Attempts to create multiple will fail.

~> **Warning**
This resource is only compatible with Coder version [2.19.0](https://github.com/coder/coder/releases/tag/v2.19.0) and later.

## Example Usage

```terraform
// Important note: You can only have one resource of this type!
resource "coderd_organization_sync_settings" "org_sync" {
  field          = "wibble"
  assign_default = false

  mapping = {
    wobble = [
      coderd_organization.my_organization.id,
    ]
  }
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `assign_default` (Boolean) When true, every user will be added to the default organization, regardless of claims.
- `field` (String) The claim field that specifies what organizations a user should be in.

### Optional

- `mapping` (Map of List of String) A map from OIDC group name to Coder organization ID.
